OpenShot Audio Library | OpenShotAudio: juce::Message Class Reference

OpenShot Audio Library | OpenShotAudio 0.4.0 |

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
juce::Message Class Reference

`#include <juce_Message.h>`

Inheritance diagram for juce::Message:

## Public Types
using | Ptr = ReferenceCountedObjectPtr<Message>
Public Types inherited from juce::MessageManager::MessageBase
using | Ptr = ReferenceCountedObjectPtr<MessageBase>

## Public Member Functions
| Message () noexcept
Public Member Functions inherited from juce::MessageManager::MessageBase
bool | post ()
Public Member Functions inherited from juce::ReferenceCountedObject
void | incReferenceCount () noexcept
void | decReferenceCount () noexcept
bool | decReferenceCountWithoutDeleting () noexcept
int | getReferenceCount () const noexcept

## Additional Inherited Members
Protected Member Functions inherited from juce::ReferenceCountedObject
| ReferenceCountedObject ()=default
| ReferenceCountedObject (const ReferenceCountedObject &) noexcept
| ReferenceCountedObject (ReferenceCountedObject &&) noexcept
ReferenceCountedObject & | operator= (const ReferenceCountedObject &) noexcept
ReferenceCountedObject & | operator= (ReferenceCountedObject &&) noexcept
virtual | ~ReferenceCountedObject ()
void | resetReferenceCount () noexcept

## Detailed Description

The base class for objects that can be sent to a MessageListener.

If you want to send a message that carries some kind of custom data, just create a subclass of Message with some appropriate member variables to hold your data.

Always create a new instance of a Message object on the heap, as it will be deleted automatically after the message has been delivered.

See also
  MessageListener, MessageManager, ActionListener, ChangeListener

Definition at line 43 of file juce_Message.h.

## Member Typedef Documentation

## ◆ Ptr

using juce::Message::Ptr = ReferenceCountedObjectPtr<Message>

Definition at line 51 of file juce_Message.h.

## Constructor & Destructor Documentation

## ◆ Message()

juce::Message::Message | ( |  | ) |
| noexcept

Creates an uninitialised message.

Definition at line 26 of file juce_MessageListener.cpp.

## ◆ ~Message()

juce::Message::~Message | ( |  | ) |
| override

Definition at line 27 of file juce_MessageListener.cpp.

The documentation for this class was generated from the following files:

- juce_Message.h
- juce_MessageListener.cpp